Skip to main content
GET
https://www.xn--dkkango-n2a.com/api/integrations
/
orders
/
get-current
Get Current Orders
curl --request GET \
  --url https://www.xn--dkkango-n2a.com/api/integrations/orders/get-current \
  --header 'Access-Token: <api-key>'
{
  "status": false,
  "error": "çok fazla istek",
  "message": "Çok fazla istek. Lütfen 30 saniye bekleyin."
}
Rate Limited: This endpoint has a 30-second cooldown between requests.

Overview

Fetches all active orders in statuses: RECEIVED, CONFIRMED, IN_DELIVERY, or COMPLETE_NEEDS_PAYMENT.
Important: Orders will repeat in subsequent calls until acknowledged via /orders/success.

Authentication

Access-Token
string
required
Your API access token

Query Parameters

status_id
integer
Filter by specific status ID (see Order Status Codes)

Response

status
boolean
required
Indicates if the request was successful
data
array
required
Array of active order objects

Examples

curl -X GET 'https://www.xn--dkkango-n2a.com/api/integrations/orders/get-current' \
  -H 'Access-Token: your-access-token'

With Status Filter

curl -X GET 'https://www.xn--dkkango-n2a.com/api/integrations/orders/get-current?status_id=1' \
  -H 'Access-Token: your-access-token'

Response Example

{
  "status": true,
  "data": [
    {
      "id": 1031,
      "status_id": 1,
      "status_text": "Sipariş Geldi",
      "shipping_method": "delivery",
      "payment_key": "3e9caf87-5cb7-4c4e-adcb-fc2ec54cf24e",
      "payment_method": "Kredi Kartı",
      "note": "",
      "total": 1417.5,
      "date": "2026-01-16 15:10:54",
      "restaurant_id": "0ca1d2b1-a199-4960-8617-83a659d890c8",
      "restaurant_name": "Halaskargazi Şube",
      "courier_type": "restaurant",
      "discount": "157.5",
      "courier_fee": 0,
      "scheduled_date": "",
      "order_tip": 0,
      "customer": {
        "name": "Kerim Test",
        "phone": "05335587642"
      },
      "address": {
        "address": "Dershane Sokak",
        "description": "",
        "apartment_no": "A",
        "building_no": "71",
        "neighborhood_name": "Halaskargazi Mah",
        "district_name": "Şişli",
        "city_name": "İstanbul"
      },
      "foods": [
        {
          "id": "1e5c28b8-e53e-482c-9b30-86e99b049da3",
          "food_id": 1,
          "name": "Beef Burrito",
          "note": "",
          "price": 675,
          "quantity": 1,
          "total": 675,
          "option_groups": [
            {
              "id": 6,
              "name": "Sos Seçimi",
              "type": "multi",
              "operation": "+",
              "options": {
                "id": 4,
                "name": "Ballı Hardal",
                "price": 10
              }
            }
          ]
        }
      ]
    }
  ]
}

Important Behavior

1

First Call

When you call /get-current, new orders appear in the response.
2

Order Repetition

Orders continue to appear in subsequent calls until acknowledged.
3

Acknowledge

Call /orders/success/{payment_key} to acknowledge.
4

Status Changes

After acknowledgment, if the order status changes, it will appear again with the new status.
Always use the payment_key (UUID) for operational API calls, not the id (integer).

Error Responses

{
  "status": false,
  "error": "çok fazla istek",
  "message": "Çok fazla istek. Lütfen 30 saniye bekleyin."
}

Typical Integration Pattern

// Poll every 30 seconds
setInterval(async () => {
  try {
    const response = await fetch(
      'https://www.xn--dkkango-n2a.com/api/integrations/orders/get-current',
      { headers: { 'Access-Token': accessToken } }
    );
    
    const { data: orders } = await response.json();
    
    for (const order of orders) {
      // Process order in your POS
      await processOrderInPOS(order);
      
      // Acknowledge order
      await fetch(
        `https://www.xn--dkkango-n2a.com/api/integrations/orders/success/${order.payment_key}`,
        { 
          method: 'PUT',
          headers: { 'Access-Token': accessToken }
        }
      );
      
      // Accept order with preparation time
      await fetch(
        `https://www.xn--dkkango-n2a.com/api/integrations/orders/accept/${order.payment_key}`,
        {
          method: 'PUT',
          headers: {
            'Access-Token': accessToken,
            'Content-Type': 'application/json'
          },
          body: JSON.stringify({ preparing_time: 30 })
        }
      );
    }
  } catch (error) {
    console.error('Error polling orders:', error);
  }
}, 30000);

Next Steps